从 Collection 删除 Function (V2)
This operation drops a function from the schema of a collection.
POST/v2/vectordb/collections/drop_function
该 API 的 Base URL 格式如下:
https://${CLUSTER_ENDPOINT}
📘说明
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheaderrequired
认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。
示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring
数据库名称。
collectionNamestring必填项
Collection 名称。
FunctionNamestring必填项
待删除的 Function 名称。
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/drop_function" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection",
"FunctionName": "bm25_fn"
}'
响应200 - application/json
codeinteger
响应码。
dataobject
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
{
"code": 0,
"data": {}
}